#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, m;
    cin >> n >> m;

    long long druzeljubivost[n];
    int prijatelji_1[m];
    int prijatelji_2[m];

    for(int i=0; i < n; ++i)
    {
        cin >> druzeljubivost[i];
    }

    int sreca = 0;
    for (int i=0; i < m; ++i)
    {
        cin >> prijatelji_1[i] >> prijatelji_2[i];

        int druzeljubivost_prvog = druzeljubivost[prijatelji_1[i]-1];
        int druzeljubivost_drugog = druzeljubivost[prijatelji_2[i]-1];

        int prijateljska_sreca = druzeljubivost_prvog + druzeljubivost_drugog;
        int neprijateljska_sreca = -druzeljubivost_prvog - druzeljubivost_drugog;

        sreca += max(prijateljska_sreca, neprijateljska_sreca);
    }

    cout << sreca;
    return 0;
}